<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>net.ihe.gazelle</groupId>
    <artifactId>gazelle-x-validation</artifactId>
    <version>3.0.2-SNAPSHOT</version>
    <relativePath>../pom.xml</relativePath>
  </parent>
  <artifactId>gazelle-x-validation-war</artifactId>
  <packaging>war</packaging>
  <dependencies>
    <dependency>
      <groupId>net.ihe.gazelle</groupId>
      <artifactId>gazelle-validator-unit-testing-war</artifactId>
      <type>war</type>
    </dependency>
    <dependency>
      <groupId>net.ihe.gazelle</groupId>
      <artifactId>gazelle-calling-tools-war</artifactId>
      <type>war</type>
    </dependency>
  </dependencies>
  <build>
    <plugins>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>gazelle-plugins</artifactId>
        <configuration>
          <ignoredParamNames>
            <ignoredParamName>pageName</ignoredParamName>
            <ignoredParamName>pageNameUrl</ignoredParamName>
            <ignoredParamName>pageNameTitle</ignoredParamName>
            <ignoredParamName>managedBean</ignoredParamName>
            <ignoredParamName>rules</ignoredParamName>
            <ignoredParamName>inputs</ignoredParamName>
            <ignoredParamName>filterForm</ignoredParamName>
            <ignoredParamName>allowDelete</ignoredParamName>
            <ignoredParamName>idToRerender</ignoredParamName>
            <ignoredParamName>beanName</ignoredParamName>
            <ignoredParamName>multiple</ignoredParamName>
            <ignoredParamName>param</ignoredParamName>
            <ignoredParamName>extensions</ignoredParamName>
            <ignoredParamName>idsToReRender</ignoredParamName>
            <ignoredParamName>uploadBean</ignoredParamName>
            <ignoredParamName>rendered</ignoredParamName>
            <ignoredParamName>extension</ignoredParamName>
            <ignoredParamName>expressionName</ignoredParamName>
            <ignoredParamName>idsToRerender</ignoredParamName>
            <ignoredParamName>displayStatusColumn</ignoredParamName>
            <ignoredParamName>displayRuleStatusColumn</ignoredParamName>
          </ignoredParamNames>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
